Package com.verisign.epp.codec.nv

## Class EPPNameVerificationCreateCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCreateCmd
    - - com.verisign.epp.codec.nv.EPPNameVerificationCreateCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPNameVerificationCreateCmd
      extends EPPCreateCmd

  Create command to implement the domain name verification and to generate a domain verification code that is contained in the response.
  See Also:
    `EPPNameVerificationCreateResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPNameVerificationCreateCmd`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPNameVerificationCreateCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPNameVerificationCreateCmd()` | `EPPNameVerificationCreateCmd` default constructor.
    `EPPNameVerificationCreateCmd​(java.lang.String aTransId)` | `EPPNameVerificationCreateCmd` constructor that takes just the client transaction id.
    `EPPNameVerificationCreateCmd​(java.lang.String aTransId, EPPDomainNameVerification aDnv, EPPAuthInfo aAuthInfo)` | `EPPNameVerificationCreateCmd` constructor for a Domain Name Verification (DNV) with the required attributes.
    `EPPNameVerificationCreateCmd​(java.lang.String aTransId, EPPRealNameVerification aRnv, EPPAuthInfo aAuthInfo)` | `EPPNameVerificationCreateCmd` constructor for a Real Name Verification (RNV) with the required attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPNameVerificationCreateCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPNameVerificationCreateCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPNameVerificationCreateCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPNameVerificationCreateCmd` with this instance.
    `EPPAuthInfo` | `getAuthInfo()` | Gets the authorization information for the Name Verification (NV) object.
    `EPPDomainNameVerification` | `getDnv()` | Gets the Domain Name Verification (DNV) object to verify and create.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPNameVerificationCreateCmd`.
    `EPPRealNameVerification` | `getRnv()` | Gets the Real Name Verification (RNV) object information to verify and create.
    `boolean` | `hasDnv()` | Has the Domain Name Verification (DNV) object information been set?
    `boolean` | `hasRnv()` | Has the Real Name Verification (RNV) object information been set?
    `void` | `setAuthInfo​(EPPAuthInfo aAuthInfo)` | Sets the authorization information for the Name Verification (NV) object.
    `void` | `setDnv​(EPPDomainNameVerification aDnv)` | Sets the Domain Name Verification (DNV) object information to verify and create.
    `void` | `setRnv​(EPPRealNameVerification aRnv)` | Sets the Real Name Verification (RNV) object information to verify and create.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCreateCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPNameVerificationCreateCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPNameVerificationCreateCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationCreateCmd

          public EPPNameVerificationCreateCmd()

      `EPPNameVerificationCreateCmd` default constructor.

    - #### EPPNameVerificationCreateCmd

          public EPPNameVerificationCreateCmd​(java.lang.String aTransId)

      `EPPNameVerificationCreateCmd` constructor that takes just the client transaction id. The requirement attributes must be set using the setter methods.
      Parameters:
        `aTransId` - Client transaction identifier

    - #### EPPNameVerificationCreateCmd

          public EPPNameVerificationCreateCmd​(java.lang.String aTransId,
                                              EPPDomainNameVerification aDnv,
                                              EPPAuthInfo aAuthInfo)

      `EPPNameVerificationCreateCmd` constructor for a Domain Name Verification (DNV) with the required attributes.
      Parameters:
        `aTransId` - Client transaction id. Set to `null` of no client transaction id should be used.
        `aDnv` - Domain Name Verification (DNV) object to verify and create
        `aAuthInfo` - Authorization info for the DNV object

    - #### EPPNameVerificationCreateCmd

          public EPPNameVerificationCreateCmd​(java.lang.String aTransId,
                                              EPPRealNameVerification aRnv,
                                              EPPAuthInfo aAuthInfo)

      `EPPNameVerificationCreateCmd` constructor for a Real Name Verification (RNV) with the required attributes.
      Parameters:
        `aTransId` - Client transaction id. Set to `null` of no client transaction id should be used.
        `aRnv` - Real Name Verification (RNV) object to verify and create
        `aAuthInfo` - Authorization info for the RNV object

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPNameVerificationCreateCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPNameVerificationMapFactory.NS`

    - #### hasDnv

          public boolean hasDnv()

      Has the Domain Name Verification (DNV) object information been set?
      Returns:
        `true` if the Domain Name Verification (DNV) object information has been set; `false` otherwise.

    - #### getDnv

          public EPPDomainNameVerification getDnv()

      Gets the Domain Name Verification (DNV) object to verify and create.
      Returns:
        The Domain Name Verification (DNV) object if defined; `null` otherwise.

    - #### setDnv

          public void setDnv​(EPPDomainNameVerification aDnv)

      Sets the Domain Name Verification (DNV) object information to verify and create.
      Parameters:
        `aDnv` - The Domain Name Verification (DNV) object or `null` to undefined it.

    - #### hasRnv

          public boolean hasRnv()

      Has the Real Name Verification (RNV) object information been set?
      Returns:
        `true` if the Real Name Verification (RNV) object information has been set; `false` otherwise.

    - #### getRnv

          public EPPRealNameVerification getRnv()

      Gets the Real Name Verification (RNV) object information to verify and create.
      Returns:
        The Real Name Verification (RNV) object if defined; `null` otherwise.

    - #### setRnv

          public void setRnv​(EPPRealNameVerification aRnv)

      Sets the Real Name Verification (RNV) object information to verify and create.
      Parameters:
        `aRnv` - The Real Name Verification (RNV) object or `null` to undefined it.

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Gets the authorization information for the Name Verification (NV) object.
      Returns:
        Authorization information if defined; `null` otherwise.

    - #### setAuthInfo

          public void setAuthInfo​(EPPAuthInfo aAuthInfo)

      Sets the authorization information for the Name Verification (NV) object.
      Parameters:
        `aAuthInfo` - Authorization information of NV object

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationCreateCmd` instance.
      Specified by:
        `doEncode` in class `EPPCreateCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPNameVerificationCreateCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameVerificationCreateCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPNameVerificationCreateCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPCreateCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationCreateCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationCreateCmd` with this instance.
      Overrides:
        `equals` in class `EPPCreateCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationCreateCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        Deep copy clone of `EPPNameVerificationCreateCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.